### What is this repository for? ###

* Quick summary

A simple defold library for running threads using dmThread sdk.

The following libraries are defined 
- string
- math
- table

The following function is also defined mylibs.log(str)

This native extension has been tested on windows only.
Use it at your own risk.

### Usage example
```

function getChunk()
	return [[
	function work(arg)
		mylibs.log("Got an argument: " .. arg)
		local x = math.abs(-35)
		mylibs.log(x)
		local x = {45, 34}
		local i = 0
		while i < 1000000 do
			--infinite loop does not hang game loop
			i = i + 1
		end
		--using string module
		return string.format("%d", i)
	end
	]]
end

function on_complete(res)
	print("lua job done : " .. res)
end

function on_input(self, action_id, action)
	if action_id == hash("test") and action.released then
		local code = getChunk()
		--"work" is defined in code
		thread.run(code, "data", "work", "on_complete")	
	end
end

```

### How do I get set up? ###
Clone and copy it to your project. Rebuild.